#
# spec file for package pm-utils (Version 0.99.3.20070618)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           pm-utils
Url:            http://webcvs.freedesktop.org/pm-utils/
Version:        0.99.3.20070618
Release:        18.2
%define pm_utils_suse_version 20071128
Summary:        Tools to suspend and hibernate computers
License:        GPL v2 or later
Group:          System/Base
Source:         %{name}-%{version}.tar.gz
Patch1:         pm-utils-0.99.3-fix-config-loading.diff
Patch2:         pm-utils-0.99.3-uswsusp-support.diff
Patch3:         pm-utils-0.99.3-comment-configfile.diff
Patch4:         pm-utils-0.99.3-README-fix.diff
Patch99:        pm-utils-0.99.3-suse.diff
Source1:        pm-utils-suse-%{pm_utils_suse_version}.tar.gz
Source2:        README.upstream-hooks
Source3:        README.update
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr
Requires:       hal

%description
pm-utils provide simple shell command line tools to suspend and
hibernate computers that can be used to run vendor or distro supplied
scripts on suspend and resume.



Authors:
--------
    Bill Nottingham <notting@redhat.com>
    Peter Jones <pjones@redhat.com>
    David Zeuthen <davidz@redhat.com>
    Richard Hughes <richard@hughsie.com>

%debug_package
%prep
%setup -b 1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch99 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p examples/hooks
for i in 01grub 20video 49bluetooth 60sysfont 65alsa 90clock 99video; do
    mv $RPM_BUILD_ROOT/usr/lib/pm-utils/sleep.d/$i examples/hooks
done
cp %{S:2} hooks
cp %{S:3} $RPM_BUILD_ROOT/etc/pm/
cd ../pm-utils-suse
cp hooks/* $RPM_BUILD_ROOT/usr/lib/pm-utils/sleep.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/etc/pm
/usr/sbin/*
/usr/bin/*
/usr/lib/pm-utils
%_mandir/man1/*
%doc README ChangeLog AUTHORS
%doc examples

%changelog
* Wed Nov 28 2007 - fseidel@suse.de
- bug 332174: added chvt when patching videobios
* Mon Sep 24 2007 - seife@suse.de
- add README.update in /etc/pm and fix the README in the documen-
  tation to no longer mention /etc/pm/config but the correct paths
  (novell bug 327828).
* Thu Aug 16 2007 - hmacht@suse.de
- remove '-s' option from openvt (00clear hook) to avoid flickering
  before suspend to disk
* Wed Jul 25 2007 - hmacht@suse.de
- do not switch to console and back in pm-utils. Suspend tools are
  doing this in any case and splashy looks nicer this way
* Tue Jul 24 2007 - seife@suse.de
- update to current CVS:
  - our export-variables patch included
  - minor build system tweaks
- fix reading of multiple configuration files
- removed docker hook, is now in dockutils
* Wed Apr 04 2007 - seife@suse.de
- use long options for s2disk/s2both, short options will be depre-
  cated
- fix suspend to disk for HIBERNATE_METHOD=userspace
* Mon Mar 26 2007 - seife@suse.de
- update to current CVS (version 0.99.3)
  - fix source_configs so it doesn't throw an error when the config
  dir is empty.
- rework userspace-suspend support
- fix exporting of variables
* Tue Mar 20 2007 - seife@suse.de
- update to current CVS
  - module unloading and config handling fix integrated upstream
- pm-utils-suse: be more careful selecting the kernel for resume
  (bug 256105)
* Fri Mar 16 2007 - seife@suse.de
- fix module unloading, pm-utils-0.99.2-fix-modunload.diff
* Fri Mar 16 2007 - seife@suse.de
- update to current CVS
  - pm-utils-0.99.2-fix-stopservice.diff integrated upstream
- fix the handling of config files in /etc/pm/config.d/ (they were
  simply ignored before)
* Wed Mar 14 2007 - seife@suse.de
- update to version 0.99.2+ (CVS as of today)
  - move the executables from /etc/pm to /usr/lib/pm-utils
  - config file from /etc/pm/config to /usr/lib/pm-utils/defaults
  - many of our local fixes applied upstream
  - add pm-suspend-hybrid (currently a no-op, will do s2both)
  - add pm-is-supported that will show HAL what suspend modes are
  available
  - use bash for scripts, not sh
  - fix module load/unload problems with module names that have
  "-" and "_".
* Wed Feb 28 2007 - seife@suse.de
- fix cpufreq problem on multicore CPUs after resume (bug 227854)
* Tue Feb 20 2007 - seife@suse.de
- update to current CVS
  - add pm-reset-swap to reset the swap signature after failed
  suspend to disk
  - some of our fixed incorporated upstream, patches dropped
- no longer unload the button module, kernel is fixed
* Sun Feb 18 2007 - seife@suse.de
- support suspend to swap on LVM/EVMS (or generally if the resume
  parameter points to a symlink).
* Wed Dec 20 2006 - seife@suse.de
- fix resume problems if the "Failsafe" kernel is listed before
  the "good" kernel in /boot/grub/menu.lst (bug 223722)
- package the disabled hooks in the documentation directory
- disable the 49blutetooth hook
* Tue Dec 05 2006 - seife@suse.de
- fix 30s2disk-check hook, so that suspend with the kernel method
  works again (fixes bug 226115)
* Thu Nov 30 2006 - seife@suse.de
- fix on_ac_power on desktops with battery powered mice
  (bug 221999)
- make running the hooks slightly more verbose
* Wed Nov 22 2006 - seife@suse.de
- fix dualcore cpufreq problem after suspend (bug 223164)
- mark the configfile as "noreplace"
- print "resuming..." during resume
* Mon Nov 20 2006 - seife@suse.de
- sync with current CVS, some of our patches went upstream
- print "Preparing suspend..." so the user has some feedback
* Thu Nov 16 2006 - seife@suse.de
- comment the available variables in the configuration file
* Wed Nov 08 2006 - seife@suse.de
- update to current CVS, some of our fixes incorporated upstream
- increase the logging output of the pm-utils-suse hooks
* Mon Nov 06 2006 - hmacht@suse.de
- add 23dock hook to undock before suspend and redock after resume
* Mon Oct 30 2006 - seife@suse.de
- update to current CVS, some of our fixes incorporated upstream
* Fri Oct 27 2006 - hmacht@suse.de
- readd lost S2DISK_BIN and S2DISK_CONF variables
* Tue Oct 24 2006 - hmacht@suse.de
- update to current CVS, some fixes incorporated upstream.
- add logging functionality
- add hook for ejecting pcmcia cards
* Mon Oct 23 2006 - hmacht@suse.de
- add hook to log lsmod and free
* Wed Oct 11 2006 - seife@suse.de
- small fixes, disable not yet ready logging code
* Tue Oct 10 2006 - seife@suse.de
- update to current CVS, our fixes incorporated upstream.
- some additional hooks, converted from powersaved.
* Fri Oct 06 2006 - seife@suse.de
- initial submission
